%global commit 020a4c2b7612863600428e0e9f2491b923e54ac2
%global gittag 1.5
%global shortcommit %(c=%{commit0}; echo ${c:0:7})

Name:            libbinio
Version:         %{gittag}
Release:         1%{?dist}
Summary:         A software library for binary I/O classes in C++
URL:             http://adplug.github.io/libbinio
Source0:         https://github.com/adplug/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:          libbinio-1.4-includes.patch
License:         LGPLv2+
BuildRequires:   gcc-c++
BuildRequires:   make

%description
This binary I/O stream class library presents a platform-independent
way to access binary data streams in C++. The library is hardware 
independent in the form that it transparently converts between the 
different forms of machine-internal binary data representation.
It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

%package devel
Summary:         Development files for libbinio
Requires:        %{name} = %{version}-%{release}
BuildRequires:   texinfo

%description devel
This package contains development files for the libbinio binary
data stream class for C++.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_infodir}/dir

%files
%license COPYING
%{_libdir}/libbinio.so.1{,.*}
%doc AUTHORS README NEWS TODO

%files devel
%dir %{_includedir}/%{name}
%{_libdir}/libbinio.so
%{_libdir}/pkgconfig/libbinio.pc
%{_includedir}/%{name}/*.h
%{_infodir}/libbinio.info*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - %{gittag}-1
- initial build
